/* $Id: dich_conf.h,v 1.1.1.1 2001/09/21 02:53:07 psyex Exp $ */

#ifndef __dich_conf_h__
#define __dich_conf_h__

#include "struct.h"

typedef struct ConfList aConfList;
typedef struct ConfEntry aConfEntry;

struct ConfList {
   unsigned int length;
   aConfEntry *conf_list;
};

struct ConfEntry {
   char       *pattern;
   aConfItem  *conf;
   aConfEntry *next;
   aConfList  *sub;
};

extern void addto_conf_list();
extern void clear_conf_list();
extern aConfItem *find_matching_conf();
extern void l_addto_conf_list();
extern aConfItem *l_find_matching_conf();
extern char *host_field();
extern char *name_field();
extern char *rev_host_field();
extern char *rev_name_field();
extern int  sortable();
extern void reverse(char *, char *);

#endif
